commit:     e270f5b11f4b93934dc724149570874851a9b35b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 18 22:28:31 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jan 18 22:38:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e270f5b1

app-editors/nano: add 7.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/nano/Manifest        |   1 +
 app-editors/nano/nano-7.2.ebuild | 111 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index 18a4df697156..3ae9428c3608 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1,2 +1,3 @@
 DIST nano-6.4.tar.xz 1593804 BLAKE2B 
b59ff7a741ce4c8b31afdbbfaf1d704cccbceddcd7f1421f30a6dd40495ec456ca891aeb9777c070c6cce4e9c594f83798ff0cdacdfe06e81b0aa0b700033da3
 SHA512 
cff2d9d90f1a23ab8905320e651f8bbc9d38046153a4f64bbc21927687d9628135915468b00b28f88a0eb7d395d1bcb0b9b7abcf367e5a46a5f3da01d8d6e72b
 DIST nano-7.1.tar.xz 1605272 BLAKE2B 
cc606a04b34e723da01326d617b50f79711d0b35034b3e75f410fa7e277ba3eddbb1a408a80255533d2fa953f23fee745979363d5621b63a79bd89b29d8d528e
 SHA512 
e3226df636d3ae1d94e2907ce8bbdb8de69eb45afd02fb1c83e275a1dcc288081809041adbfdade35a580bcb9f9632d21a45d764b43d22b3e4cfd87c7757c4e0
+DIST nano-7.2.tar.xz 1608444 BLAKE2B 
c7e3b18383e9f2f9db1f6059c875ddd164d730ea0e5b363e66fb8e5f30e8598ba49a5afd8eea3a55e295f1e43fb136019f60cc9154ae276c5d589002c0e5298a
 SHA512 
a6dfa70edab62e439a9a998ca214f2415d57dbdc01766ad2e4b14048836557a32755f8b09de13c6a89023f215b61d2854017b389eae8d097ca6f3ba73ce2f583

diff --git a/app-editors/nano/nano-7.2.ebuild b/app-editors/nano/nano-7.2.ebuild
new file mode 100644
index 000000000000..409f5e05a3e0
--- /dev/null
+++ b/app-editors/nano/nano-7.2.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+if [[ ${PV} == 9999 ]] ; then
+       EGIT_REPO_URI="https://git.savannah.gnu.org/git/nano.git";
+       inherit autotools git-r3
+else
+       MY_P="${PN}-${PV/_}"
+       SRC_URI="https://www.nano-editor.org/dist/v${PV:0:1}/${MY_P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="GNU GPL'd Pico clone with more functionality"
+HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_Guide";
+
+LICENSE="GPL-3+ LGPL-2.1+ || ( GPL-3+ FDL-1.2+ )"
+SLOT="0"
+IUSE="debug justify magic minimal ncurses nls +spell static unicode"
+
+LIB_DEPEND="
+       >=sys-libs/ncurses-5.9-r1:=[unicode(+)?]
+       sys-libs/ncurses:=[static-libs(+)]
+       magic? ( sys-apps/file[static-libs(+)] )
+       nls? ( virtual/libintl )
+"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="
+       ${RDEPEND}
+       static? ( ${LIB_DEPEND} )
+"
+BDEPEND="
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+"
+
+REQUIRED_USE="
+       magic? ( !minimal )
+"
+
+src_prepare() {
+       default
+
+       if [[ ${PV} == 9999 ]] ; then
+               eautoreconf
+       fi
+}
+
+src_configure() {
+       use static && append-ldflags -static
+
+       local myconfargs=(
+               --bindir="${EPREFIX}"/bin
+               --htmldir=/trash
+               $(use_enable !minimal color)
+               $(use_enable !minimal multibuffer)
+               $(use_enable !minimal nanorc)
+               $(use_enable magic libmagic)
+               $(use_enable spell speller)
+               $(use_enable justify)
+               $(use_enable debug)
+               $(use_enable nls)
+               $(use_enable unicode utf8)
+               $(use_enable minimal tiny)
+       )
+
+       econf "${myconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       # Don't use "${ED}" here or things break (#654534)
+       rm -r "${D}"/trash || die
+
+       dodoc doc/sample.nanorc
+       docinto html
+       dodoc doc/faq.html
+       insinto /etc
+       newins doc/sample.nanorc nanorc
+
+       if ! use minimal ; then
+               # Enable colorization by default.
+               sed -i \
+                       -e '/^# include /s:# *::' \
+                       "${ED}"/etc/nanorc || die
+
+               # Since nano-5.0 these are no longer being "enabled" by default
+               # (bug #736848)
+               local rcdir="/usr/share/nano"
+               mv "${ED}"${rcdir}/extra/* "${ED}"/${rcdir}/ || die
+               rmdir "${ED}"${rcdir}/extra || die
+
+               insinto "${rcdir}"
+               newins "${FILESDIR}/gentoo.nanorc-r1" gentoo.nanorc
+       fi
+}
+
+pkg_postrm() {
+       [[ -n ${REPLACED_BY_VERSION} ]] && return
+
+       local e
+       e=$(unset EDITOR; . "${EROOT}"/etc/profile &>/dev/null; echo 
"${EDITOR}")
+       if [[ ${e##*/} == nano ]]; then
+               ewarn "The EDITOR variable is still set to ${e}."
+               ewarn "You can update it with \"eselect editor\"."
+       fi
+}

Reply via email to